Bug 581621 - Replace metadata generator usage with the p2 publisher
Replace metadata generator usage with the p2 publisher
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-12 15:48 EDT by Chris Aniszczyk
Modified: 2014-07-25 01:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-23 15:27:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Aniszczyk 2010-04-12 15:48:49 EDT
Description of problem:

The current eclipse rpm uses the metadata generator to generate p2 metadata for a variety of plug-ins. The metadata generator is deprecated and will be removed in the future. It also really isn't maintained anymore. We should switch to the p2 publisher to ensure we stay consistent with what upstream expects.
Comment 1 Andrew Overholt 2010-04-12 15:52:55 EDT
I think this should be done upstream as part of eclipse-build.  Please file a bug there:

https://bugs.eclipse.org/bugs/enter_bug.cgi?product=Linux%20Tools&component=PackagingTools
Comment 2 Andrew Overholt 2010-04-12 16:02:37 EDT
I apologize, I was confused.  We have two options here:

- help eclipse-build upstream put JDT and PDE into dropins
  (https://bugs.eclipse.org/bugs/show_bug.cgi?id=294114 and
   https://bugs.eclipse.org/bugs/show_bug.cgi?id=293731)
- stop using the metadata generator for the Platform in Fedora (this bug)
Comment 3 Bug Zapper 2010-07-30 07:19:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andrew Overholt 2010-08-23 15:27:57 EDT
This has been done upstream in eclipse-build and Fedora's git repository contains this work in the tip of master.

Note You need to log in before you can comment on or make changes to this bug.